--
-- StopBuyStuffSwitch
--
-- @author  ANDR55
-- Version 0.1
-- @date 31.05.2014

StopBuyStuffSwitch = {};

source(g_currentModDirectory.."StopBuyStuffEvent.lua");
source(g_currentModDirectory.."StopBuyStuffRefreshEvent.lua");

local esl_directory = g_currentModDirectory;

function StopBuyStuffSwitch.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;


function StopBuyStuffSwitch:load(xmlFile)
end;

function StopBuyStuffSwitch:delete()
end;

function StopBuyStuffSwitch:readStream(streamId, connection)
	
end;

function StopBuyStuffSwitch:readUpdateStream(streamId, timestamp, connection)

end

function StopBuyStuffSwitch:writeStream(streamId, connection)
	
end;

function StopBuyStuffSwitch:writeUpdateStream(streamId, connection, dirtyMask)

end

function StopBuyStuffSwitch:mouseEvent(posX, posY, isDown, isUp, button)

end;

function StopBuyStuffSwitch:keyEvent(unicode, sym, modifier, isDown)

end;

function StopBuyStuffSwitch:updateTick(dt)

end;

function StopBuyStuffSwitch:update(dt)
	

	if not self.StopBuyStuff_initialize then
		--Broadcast auslsen
		g_client:getServerConnection():sendEvent(StopBuyStuffRefreshEvent:new(self));
		self.StopBuyStuff_initialize = true;
	end;
	

    --if self.isActive then
		if self:getIsActive() then
			if InputBinding.hasEvent(InputBinding.StopBuyStuff_CHANGE) then
				
				--self.StopBuyStuff_BuyMode
				local buyMode = "";
				
				if Utils.getNoNil(self.StopBuyStuff_BuyMode, "") == "" then
					buyMode = "wait";
				end;

				g_client:getServerConnection():sendEvent(StopBuyStuffEvent:new(self, buyMode));
			end;
		end;
	--end;

end;

function StopBuyStuffSwitch:draw()


	--print(self.configFileName.." - "..tostring(self.isActive));

	--if self == g_currentMission.controlledVehicle then
		if self:getIsActive() then
		--if self.isActive then
			
			local BuyMode = "";
		
			if Utils.getNoNil(self.StopBuyStuff_BuyMode, "") == "" then
				BuyMode = "Helfer kauft Material";
			elseif self.StopBuyStuff_BuyMode == "wait" then
				BuyMode = "Helfer wartet auf Material";
			end;
			
			g_currentMission:addHelpButtonText(BuyMode, InputBinding.StopBuyStuff_CHANGE);
			--g_currentMission:addHelpButtonText(g_i18n:getText("StopBuyStuff_CHANGE")..": "..g_i18n:getText("StopBuyStuff_CHANGE_NOBODY"), InputBinding.StopBuyStuff_CHANGE);

		end;
	--end;

end;

function StopBuyStuffSwitch:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)


	local valueStr = getXMLString(xmlFile, key.."#BuyMode");
	if valueStr ~= nil then
		self.StopBuyStuff_BuyMode = valueStr;
	end;
	return BaseMission.VEHICLE_LOAD_OK;

end;

function StopBuyStuffSwitch:getSaveAttributesAndNodes(nodeIdent)

	local attributes = 'BuyMode="'..Utils.getNoNil(self.StopBuyStuff_BuyMode, "")..'"';
    return attributes, nil;

end;

