SpecializationUtil.registerSpecialization("StopBuyStuffSwitch", "StopBuyStuffSwitch", g_currentModDirectory.."StopBuyStuffSwitch.lua")

StopBuyStuff_Register = {};

function StopBuyStuff_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil then
						if vs == SpecializationUtil.getSpecialization("sprayer") or vs == SpecializationUtil.getSpecialization("sowingMachine") then
							if allowInsertion then
							
								--print("StopBuyStuff_Register".." - "..tostring(k))
							
								table.insert(v.specializations, SpecializationUtil.getSpecialization("StopBuyStuffSwitch"));
							end;
						end;
					end;
				end;
			end;	
		end;
	end;
end;

function StopBuyStuff_Register:deleteMap()
  
end;

function StopBuyStuff_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function StopBuyStuff_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function StopBuyStuff_Register:update(dt)
	
end;

function StopBuyStuff_Register:draw()
  
end;

addModEventListener(StopBuyStuff_Register);